> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List Purchase E-Invoices Job Status

> Poll with job id to get a signed url to list of purchase e-Invoice details for the specified return period.



## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/e-invoices/{year}/{month}/purchases
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/e-invoices/{year}/{month}/purchases:
    get:
      tags:
        - Taxpayer
        - e-Invoice
        - Purchase e-Invoices for return period
      summary: Poll Job
      operationId: listPurchaseEInvoicesJobStatus
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: '{{year}}'
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: '{{month}}'
          schema:
            type: string
        - name: job_id
          in: query
          description: Job id
          required: true
          example: '{{job_id}}'
          schema:
            type: string
            example: '{{job_id}}'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: '{{gsp_access_token}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: '{{api_key}}'
          schema:
            type: string
      responses:
        '200':
          description: 200 Job succeeded / EINV30113 Invalid Return Period
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                        example: in.co.sandbox.gst.compliance.e-invoice.list.job
                      created_at:
                        type: number
                        example: 1763446641000
                      data:
                        type: object
                        properties:
                          error:
                            type: object
                            properties:
                              error_cd:
                                type: string
                                example: EINV30113
                              message:
                                type: string
                                example: Invalid Return Period
                          status_cd:
                            type: string
                            example: '0'
                      e-invoice_list_url:
                        type: string
                        example: >-
                          https://in-co-sandbox-gst-compliance-e-invoice-list-test.s3.ap-south-1.amazonaws.com/29AAACQ3770E000/2024/10/a12ba94e-800e-4fde-a984-1c598196e7eb/e-invoice_list.json?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20241114T130428Z&X-Amz-SignedHeaders=host&X-Amz-Expires=86399&X-Amz-Credential=EXAMPLEACCESSKEY%2F20241114%2Fap-south-1%2Fs3%2Faws4_request&X-Amz-Signature=EXAMPLE_SIGNATURE
                      job_id:
                        type: string
                        example: 412a22ee-2096-4ead-b06b-55143f560903
                      month:
                        type: string
                        example: '10'
                      recipient_gstin:
                        type: string
                        example: 29AAACQ3770E000
                      status:
                        type: string
                        example: succeeded
                      supply_type:
                        type: string
                        example: B2B
                      updated_at:
                        type: number
                        example: 1763446641000
                      year:
                        type: string
                        example: '2024'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: e7512543-c7c8-40b3-a5c6-10a779490ec6
              examples:
                200 Job succeeded:
                  summary: 200 Job succeeded
                  value:
                    code: 200
                    data:
                      '@entity': in.co.sandbox.gst.compliance.e-invoice.list.job
                      created_at: 1763446641000
                      e-invoice_list_url: >-
                        https://in-co-sandbox-gst-compliance-e-invoice-list-test.s3.ap-south-1.amazonaws.com/29AAACQ3770E000/2024/10/a12ba94e-800e-4fde-a984-1c598196e7eb/e-invoice_list.json?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20241114T130428Z&X-Amz-SignedHeaders=host&X-Amz-Expires=86399&X-Amz-Credential=EXAMPLEACCESSKEY%2F20241114%2Fap-south-1%2Fs3%2Faws4_request&X-Amz-Signature=EXAMPLE_SIGNATURE
                      job_id: 412a22ee-2096-4ead-b06b-55143f560903
                      month: '10'
                      recipient_gstin: 29AAACQ3770E000
                      status: succeeded
                      supply_type: B2B
                      updated_at: 1763446641000
                      year: '2024'
                    timestamp: 1763446641000
                    transaction_id: e7512543-c7c8-40b3-a5c6-10a779490ec6
                EINV30113 Invalid Return Period:
                  summary: EINV30113 Invalid Return Period
                  value:
                    code: 200
                    data:
                      '@entity': in.co.sandbox.gst.compliance.e-invoice.list.job
                      created_at: 1732263110272
                      data:
                        error:
                          error_cd: EINV30113
                          message: Invalid Return Period
                        status_cd: '0'
                      job_id: ade09a25-e12a-4ecc-8595-c428c9b8d482
                      month: '12'
                      recipient_gstin: 33ABKCS2033B1ZW
                      status: failed
                      supply_type: B2B
                      updated_at: 1732263122998
                      year: '2023'
                    timestamp: 1763446641000
                    transaction_id: 40308eeb-05b0-43b4-8cec-202ebebcc552
                200 Job succeeded 2:
                  summary: 200 Job succeeded 2
                  value:
                    transaction_id: 41bb8041-fb83-4654-8d75-85a19f329158
                    code: 200
                    data:
                      month: '10'
                      e-invoice_list_url: >-
                        https://in-co-sandbox-gst-compliance-e-invoice-list-test.s3.ap-south-1.amazonaws.com/29AAACQ3770E000/2024/10/a12ba94e-800e-4fde-a984-1c598196e7eb/e-invoice_list.json?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20241114T130428Z&X-Amz-SignedHeaders=host&X-Amz-Expires=86399&X-Amz-Credential=AKIAXPEL7NZHNQTGTZOE%2F20241114%2Fap-south-1%2Fs3%2Faws4_request&X-Amz-Signature=0cbcc6545dd067c273bce28cfb9559eb63c6010b117c8fb3677001f855f86815
                      year: '2024'
                      job_id: 412a22ee-2096-4ead-b06b-55143f560903
                      supply_type: B2B
                      recipient_gstin: 29AAACQ3770E000
                      '@entity': in.co.sandbox.gst.compliance.e-invoice.list.job
                      status: succeeded
                      created_at: 1776921876217
                      updated_at: 1776921876217
                    timestamp: 1776921876217
          headers: {}
      deprecated: false
      security: []

````